Die Inventor FAQ wird unterstützt von:

Inventor FAQ Logo
Einsteigertipps Profitipps Probleme & Abstürze Themensammlungen Newsletter & Feed Alle Artikel Blog unterstützen
Newsletter RSS Feed Google+
Wichtige Beiträge der letzten Tage

19.12.2014

Frohe Weihnachten euch allen!

Das Jahr neigt sich wieder dem Ende zu und Heilig Abend steht vor der Tür.

Zeit, um euch allen ein frohes und geruhsames Weihnachtsfest zu wünschen und natürlich einen guten Rutsch ins Jahr 2015.

Lasst die Nuss knacken und nicht den Nussknacker ;)

nuss_fem.gif

12.12.2014

iLogic: Code- und Kommentarblöcke definieren und im Editor ein- und ausklappen

Um einen Codeblock zu definieren, den gewünschten Programmbereich mit ‘[ …’] einklammern.

Kommentarblöcke können mittels 3’ definiert werden. ‘’’

image ==> image

'[ test
MsgBox ("Hallo")
']
'[ test2
MsgBox ("Hello Again")
']
'''Kommentar
'''zum
'''Einklappen

Parameter eines Bauteiles in einer Tabelle auf der Zeichnung darstellen

Wer ein Bauteil hat und bestimmte Parameter des Bauteiles auf der Zeichnung in einer Tabelle darstellen will, der kann folgende 2 Sachen probieren:

1. Exceltabelle definieren mit den relevanten Parameter und diese in den Bauteil-Parametern und auf der Zeichnung als Tabelle nutzen.

Siehe dazu:

  1. Exceltabelle mit Parameter erstellen und in einem Bauteil verwenden => Arbeiten mit Parametern (2)
  2. Und dieselbe Exceltabelle in eine Zeichnung einfügen: Exceltabelle in eine Zeichnung einfügen

2. iPart erstellen und die iPart-Tabelle auf der Zeichnung darstellen

Aus dem Bauteil ein iPart machen (siehe dazu hier)

2014-12-12 08_45_28

Ansicht des iParts erstellen und mittels Befehl “Tabelle Allgemein” und Auswahl der Ansicht eine Tabelle mit den Parameter aus der iParttabelle erstellen.

2014-12-12 09_54_53

Ggf. Maße ergänzen, den Maßwert ausblenden und stattdessen den Parametername eintragen.

2014-12-12 09_55_09

Ergebnis:

2014-12-12 08_47_44

09.12.2014

VBA Programmierung: Eigenschaften von Objekte anschauen

Wer programmiert, für den ist es nützlich, die verschiedenen Eigenschaften eines Inventorobjekts (Bauteil, Bemaßung, usw.) zu sehen. Hierbei hilft dir dieses kleine Macro:

Sub Infos_auslesen()
   Dim obj As Object
   On Error GoTo Keine_Auswahl
    'Überwachung auf obj erstellen oder Lokal Fenster öffnen um obj zu untersuchen
    Set obj = ThisApplication.ActiveDocument.SelectSet(1)
    GoTo halt
Keine_Auswahl:
    Set obj = ThisApplication.ActiveDocument
halt:
    'Sorgt dafür das hier die Ausführung angehalten wird
     Stop
End Sub

Einfach gewünschte Objekt markieren bzw. Datei öffnen, das Lokal-Fenster öffnen…

image

…und das Makro ausführen.

Im Lokal-Fenster unter obj findest du alle Infos zu dem gewählte Objekt bzw. der aktuelle Datei.

image

iLogic Formular als Icon in die Inventoroberfläche einbinden

Du hast ein iLogicformular, das du über ein Icon aufrufen willst.

Denkbar wäre dieser Weg:

1. iLogicregel erstellen, die das Formular aufruft

image

2. Diese iLogicregel über einen VBA-Makro aufrufen. Der Makro könnte so aussehen:

Public Sub Export()
  RuniLogic "Formular_oeffnen"
End Sub
 
Public Sub RuniLogic(ByVal RuleName As String)
  Dim iLogicAuto As Object
  Dim oDoc As Document
  Set oDoc = ThisApplication.ActiveDocument
  If oDoc Is Nothing Then
    MsgBox "Missing Inventor Document"
    Exit Sub
  End If
  Set iLogicAuto = GetiLogicAddin(ThisApplication)
  If (iLogicAuto Is Nothing) Then Exit Sub
  iLogicAuto.RunRule oDoc, RuleName
 
End Sub
 
Function GetiLogicAddin(oApplication As Inventor.Application) As Object
Set addIns = oApplication.ApplicationAddIns
'Find the add-in you are looking for
Dim addIn As ApplicationAddIn
On Error GoTo NotFound
Set addIn = oApplication.ApplicationAddIns.ItemById("{3bdd8d79-2179-4b11-8a5a-257b1c0263ac}")
If (addIn Is Nothing) Then Exit Function
addIn.Activate
Set GetiLogicAddin = addIn.Automation
Exit Function
NotFound:
End Function

3. Den Makro “Export” in die Inventoroberfläche einbinden

image

image

Beachte:

  1. Der VBA-Code oben führt eine interne Regel aus. Für eine externe Regel diesen Code verwenden.
  2. Soll die (externe) Regel ein globales Formular öffnen, da muss die Regel so ausehen:  iLogicForm.ShowGlobal("Formular")
Inventor FAQ Newsletter. Emailadresse: